FROM node:20-alpine

WORKDIR /app

# Copiamos primero los ficheros de dependencias para aprovechar la caché de Docker
COPY package.json ./

# Instalamos dependencias
RUN npm install

# Copiamos el resto del código
COPY . .

# Exponemos el puerto de Vite
EXPOSE 5173

# Arrancamos en modo desarrollo
CMD ["npm", "run", "dev"]
